﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    @Scripts.Render("~/bundles/modernizr")
    <link rel="stylesheet" type="text/css" href="~/Assets/css/bootstrap.css" />
    <link rel="stylesheet" href="~/Assets/css/style.css" type="text/css" />
    <link rel="stylesheet" href="~/Assets/css/font-icons.css" type="text/css" />
    <link rel="stylesheet" type="text/css" href="~/Assets/css/custom.css">

    <link rel="stylesheet" type="text/css" href="~/Content/home.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/boxicons@latest/css/boxicons.min.css">
    @*<link rel="stylesheet" type="text/css" href="~/Content/Plugins/font-awesome-4.7.0/css/font-awesome.min.css">*@
    <link rel="stylesheet" type="text/css" href="~/Content/lib/bootstrap-datepicker-th/css/bootstrap-datepicker.standalone.css" />
    <link rel="stylesheet" type="text/css" href="~/Content/lib/parsley/src/parsley.css" />
    <link rel="stylesheet" type="text/css" href="~/Content/lib/sweetalert2/sweetalert2.min.css" />
</head>
<body id="body-pd">
    <div class="loader" id="AjaxLoader" style="display:none;">
        <div class="strip-holder">
            <div class="strip-1"></div>
            <div class="strip-2"></div>
            <div class="strip-3"></div>
        </div>
    </div>
    <header class="header" id="header">
        <div class="header_toggle"> <i class='bx bx-menu' id="header-toggle"></i> </div>
        <div class="header_img"> <img src="https://i.imgur.com/hczKIze.jpg" alt=""> </div>
    </header>
    <div class="l-navbar" id="nav-bar">
        <nav class="nav">
            <div>
                <a href="#" class="nav_logo">
                    <i class='bx bx-layer nav_logo-icon'>
                    </i> <span class="nav_logo-name">BBBootstrap</span>
                </a>
                <div class="nav_list">
                    <a href="#" class="nav_link active">
                        <i class='bx bx-grid-alt nav_icon'></i>
                        <span class="nav_name">Dashboard</span>
                    </a>
                    <a href="#" class="nav_link">
                        <i class='bx bx-user nav_icon'></i>
                        <span class="nav_name">Users</span>
                    </a>
                    <a href="#" class="nav_link">
                        <i class='bx bx-message-square-detail nav_icon'></i>
                        <span class="nav_name">Messages</span>
                    </a>
                    <a href="#" class="nav_link">
                        <i class='bx bx-bookmark nav_icon'></i>
                        <span class="nav_name">Bookmark</span>
                    </a>
                    <a href="#" class="nav_link">
                        <i class='bx bx-folder nav_icon'></i>
                        <span class="nav_name">Files</span>
                    </a>
                    <a href="#" class="nav_link">
                        <i class='bx bx-bar-chart-alt-2 nav_icon'></i>
                        <span class="nav_name">Stats</span>
                    </a>
                </div>
            </div> <a href="#" class="nav_link"> <i class='bx bx-log-out nav_icon'></i> <span class="nav_name">SignOut</span> </a>
        </nav>
    </div>
    @RenderBody()
    @Scripts.Render("~/bundles/jquery")

    <!-- JavaScripts==================================== -->
    <script src="~/Scripts/bootstrap.js"></script>
    <script type="text/javascript" src="~/Content/lib/parsley/parsley.js"></script>
    <script src="~/Content/lib/bootstrap-datepicker-th/js/bootstrap-datepicker.js"></script>
    <script src="~/Content/lib/bootstrap-datepicker-th/js/bootstrap-datepicker-thai.js"></script>
    <script src="~/Content/lib/bootstrap-datepicker-th/js/locales/bootstrap-datepicker.th.js"></script>
    <script src="~/Content/lib/moment/moment.js"></script>
    <script src="~/Content/lib/moment/moment-with-locales.js"></script>
    <script src="~/Content/lib/jQuery-Mask-Plugin-master/dist/jquery.mask.min.js"></script>
    <script src="~/Content/lib/sweetalert2/sweetalert2.min.js"></script>
    <script src="~/Content/lib/sweetalert2/core.js"></script>
    <script src="~/Content/lib/sweetalert2/polyfill.js"></script>
    <script>
        document.addEventListener("DOMContentLoaded", function (event) {

            const showNavbar = (toggleId, navId, bodyId, headerId) => {
                const toggle = document.getElementById(toggleId),
                    nav = document.getElementById(navId),
                    bodypd = document.getElementById(bodyId),
                    headerpd = document.getElementById(headerId)

                // Validate that all variables exist
                if (toggle && nav && bodypd && headerpd) {
                    toggle.addEventListener('click', () => {
                        // show navbar
                        nav.classList.toggle('show')
                        // change icon
                        toggle.classList.toggle('bx-x')
                        // add padding to body
                        bodypd.classList.toggle('body-pd')
                        // add padding to header
                        headerpd.classList.toggle('body-pd')
                    })
                }
            }
            showNavbar('header-toggle', 'nav-bar', 'body-pd', 'header')

            const linkColor = document.querySelectorAll('.nav_link')
            function colorLink() {
                if (linkColor) {
                    linkColor.forEach(l => l.classList.remove('active'))
                    this.classList.add('active')
                }
            }
            linkColor.forEach(l => l.addEventListener('click', colorLink))
        });
    </script>
    @RenderSection("scripts", required: false)
</body>
</html>